Bug 518565 - dhclient does not react the RUNNING state of wireless interface
dhclient does not react the RUNNING state of wireless interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-20 18:29 EDT by Igor A Tarasov
Modified: 2010-06-28 10:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Igor A Tarasov 2009-08-20 18:29:28 EDT
Description of problem:
  When starting network, dhclient trying to obtain IP address from DHCP server for wlan0 interface:
  "Determining IP information for wlan0..." and waiting very long time.
But at this time wlan0 does not associated and does not have the RUNNING flag in its state. So dhclient must know about it and does not attempt to send DHCP requests using interface which is not active (not in RUNNING state).

For example, for ethernet device, dhclient work perfect:
   "Determining IP information for eth0... failed; no link present.  Check cable?" And this is a good behavior of dhclient for eth0.

We need dhclient handle RUNNING state of wireless interface too in the same way as for Ethernet it does.
 
Version-Release number of selected component (if applicable):
   dhclient-4.1.0-23.fc11.i586


How reproducible:
   Always

Steps to Reproduce:
   variant a) testing: disconnect wireless interface from access point and run dhclient
   variant b) standard situation: set ONBOOT=yes in ifcfg-eth0 and restart network. network starting before NetworkManager, so wlan0 will be not associated at this point of time.

Actual results:
   dhclient waiting for a long time while trying to obtain IP-address for inactive interface wlan0

Expected results:
   dhclient must use the same befaviour for wlan0 as for eth0. That it must not waiting, but answer " ...failed; no link present.  Check cable?"

Additional info:
   NetworkManager set ONBOOT=yes flag in ifcfg-wlan0, when configuring it through its GUI.
Comment 1 David Cantrell 2009-08-24 16:10:30 EDT
Can you post the output of the 'ifconfig -a' command while dhclient is trying to get a lease for wlan0?  I want to see the states of all of your interfaces while dhclient is running for wlan0.

Also, what kind of wireless adapter is this?
Comment 2 Igor A Tarasov 2009-08-25 08:16:09 EDT
[root@linux network-scripts]# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down interface wlan0:                             [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Disabling IPv4 packet forwarding:  net.ipv4.ip_forward = 0
                                                           [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:  
Determining IP information for eth0... failed; no link present.  Check cable?
                                                           [FAILED]
Bringing up interface wlan0:  
Determining IP information for wlan0...

=============================================================

[root@linux wpa_supplicant]# iwconfig
lo        no wireless extensions.

wmaster0  no wireless extensions.

wlan0     IEEE 802.11abg  ESSID:""  
          Mode:Managed  Frequency:2.442 GHz  Access Point: Not-Associated   
          Tx-Power=15 dBm   
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B   
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth0      no wireless extensions.

pan0      no wireless extensions.

virbr0    no wireless extensions.

virbr1    no wireless extensions.

sit0      no wireless extensions.

=============================================================

[root@linux wpa_supplicant]# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:16:D4:BF:EC:3B  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:16 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1309 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1309 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:291703 (284.8 KiB)  TX bytes:291703 (284.8 KiB)

pan0      Link encap:Ethernet  HWaddr 6A:FF:4C:71:84:71  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

sit0      Link encap:IPv6-in-IPv4  
          NOARP  MTU:1480  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

virbr0    Link encap:Ethernet  HWaddr E2:09:43:C7:98:A1  
          inet addr:192.168.122.1  Bcast:192.168.122.255  Mask:255.255.255.0
          inet6 addr: fe80::e009:43ff:fec7:98a1/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:71 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:11923 (11.6 KiB)

virbr1    Link encap:Ethernet  HWaddr D6:27:64:6A:B9:B4  
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::d427:64ff:fe6a:b9b4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:71 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:11923 (11.6 KiB)

wlan0     Link encap:Ethernet  HWaddr 00:19:D2:72:FD:BF  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:29137 errors:0 dropped:0 overruns:0 frame:0
          TX packets:720 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:4210235 (4.0 MiB)  TX bytes:111596 (108.9 KiB)

wmaster0  Link encap:UNSPEC  HWaddr 00-19-D2-72-FD-BF-11-82-00-00-00-00-00-00-00-00  
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
=========================================================

[root@linux /]# dmesg | grep wlan 

wlan0 (iwl3945): not using net_device_ops yet
ADDRCONF(NETDEV_UP): wlan0: link is not ready
Comment 3 Bug Zapper 2010-04-28 05:52:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 10:12:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.